import 'package:niogu_app/core/database/app_database.dart';
import 'package:niogu_app/features/stock_in/domain/entities/stock_in_purchase.dart';
import 'package:niogu_app/features/stock_in/domain/repositories/i_stock_in_purchase_repository.dart';

class StockInPurchaseRepositoryImpl implements IStockInPurchaseRepository {
  final AppDatabase _appDatabase;

  StockInPurchaseRepositoryImpl(this._appDatabase);

  @override
  Stream<List<AlreadySupplier>> watchAllReadySuppliers() {
    return _appDatabase.supplierDao.watchAllAlreadySuppliers();
  }
}